#include <myx_cmake_git_info_p.hpp>
#include <myx_cmake_private_config_p.hpp>

#include <iostream>
#include <boost/range/counting_range.hpp>

int32_t nsum( int32_t i = 0 )
{
	int32_t s = 0;
	for ( auto r: boost::counting_range( 1, i ) )
	{
		s += r;
	}
	return( s );
}


int main( int argc, char* argv[] )
{
	// Значение из myx_cmake_private_config.hpp
	std::cout << "Build type:   " << MYX_CMAKE_BUILD_TYPE << std::endl;
	// Значение из myx_cmake_git_info.hpp
	std::cout << "Git revision: " << MYX_CMAKE_EXAMPLE_APP_GIT_REV << std::endl;

	auto s = nsum( argc );
	std::cout << s << std::endl;

	return ( s );
}
